<?php

namespace eBizCharge\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ObjectPermissions StructType
 * @subpackage Structs
 */
class ObjectPermissions extends AbstractStructBase
{
    /**
     * The Create
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Create;
    /**
     * The Edit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Edit;
    /**
     * The Delete
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Delete;
    /**
     * The View
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $View;
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Email;
    /**
     * The Print
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Print;
    /**
     * The ApplyReceivedPayment
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $ApplyReceivedPayment;
    /**
     * The DeleteReceivedPayment
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $DeleteReceivedPayment;
    /**
     * The DeletePendingRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $DeletePendingRequest;
    /**
     * Constructor method for ObjectPermissions
     * @uses ObjectPermissions::setCreate()
     * @uses ObjectPermissions::setEdit()
     * @uses ObjectPermissions::setDelete()
     * @uses ObjectPermissions::setView()
     * @uses ObjectPermissions::setEmail()
     * @uses ObjectPermissions::setPrint()
     * @uses ObjectPermissions::setApplyReceivedPayment()
     * @uses ObjectPermissions::setDeleteReceivedPayment()
     * @uses ObjectPermissions::setDeletePendingRequest()
     * @param bool $create
     * @param bool $edit
     * @param bool $delete
     * @param bool $view
     * @param bool $email
     * @param bool $print
     * @param bool $applyReceivedPayment
     * @param bool $deleteReceivedPayment
     * @param bool $deletePendingRequest
     */
    public function __construct($create = null, $edit = null, $delete = null, $view = null, $email = null, $print = null, $applyReceivedPayment = null, $deleteReceivedPayment = null, $deletePendingRequest = null)
    {
        $this
            ->setCreate($create)
            ->setEdit($edit)
            ->setDelete($delete)
            ->setView($view)
            ->setEmail($email)
            ->setPrint($print)
            ->setApplyReceivedPayment($applyReceivedPayment)
            ->setDeleteReceivedPayment($deleteReceivedPayment)
            ->setDeletePendingRequest($deletePendingRequest);
    }
    /**
     * Get Create value
     * @return bool
     */
    public function getCreate()
    {
        return $this->Create;
    }
    /**
     * Set Create value
     * @param bool $create
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setCreate($create = null)
    {
        // validation for constraint: boolean
        if (!is_null($create) && !is_bool($create)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($create, true), gettype($create)), __LINE__);
        }
        $this->Create = $create;
        return $this;
    }
    /**
     * Get Edit value
     * @return bool
     */
    public function getEdit()
    {
        return $this->Edit;
    }
    /**
     * Set Edit value
     * @param bool $edit
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setEdit($edit = null)
    {
        // validation for constraint: boolean
        if (!is_null($edit) && !is_bool($edit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($edit, true), gettype($edit)), __LINE__);
        }
        $this->Edit = $edit;
        return $this;
    }
    /**
     * Get Delete value
     * @return bool
     */
    public function getDelete()
    {
        return $this->Delete;
    }
    /**
     * Set Delete value
     * @param bool $delete
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setDelete($delete = null)
    {
        // validation for constraint: boolean
        if (!is_null($delete) && !is_bool($delete)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($delete, true), gettype($delete)), __LINE__);
        }
        $this->Delete = $delete;
        return $this;
    }
    /**
     * Get View value
     * @return bool
     */
    public function getView()
    {
        return $this->View;
    }
    /**
     * Set View value
     * @param bool $view
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setView($view = null)
    {
        // validation for constraint: boolean
        if (!is_null($view) && !is_bool($view)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($view, true), gettype($view)), __LINE__);
        }
        $this->View = $view;
        return $this;
    }
    /**
     * Get Email value
     * @return bool
     */
    public function getEmail()
    {
        return $this->Email;
    }
    /**
     * Set Email value
     * @param bool $email
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setEmail($email = null)
    {
        // validation for constraint: boolean
        if (!is_null($email) && !is_bool($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->Email = $email;
        return $this;
    }
    /**
     * Get Print value
     * @return bool
     */
    public function getPrint()
    {
        return $this->Print;
    }
    /**
     * Set Print value
     * @param bool $print
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setPrint($print = null)
    {
        // validation for constraint: boolean
        if (!is_null($print) && !is_bool($print)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($print, true), gettype($print)), __LINE__);
        }
        $this->Print = $print;
        return $this;
    }
    /**
     * Get ApplyReceivedPayment value
     * @return bool
     */
    public function getApplyReceivedPayment()
    {
        return $this->ApplyReceivedPayment;
    }
    /**
     * Set ApplyReceivedPayment value
     * @param bool $applyReceivedPayment
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setApplyReceivedPayment($applyReceivedPayment = null)
    {
        // validation for constraint: boolean
        if (!is_null($applyReceivedPayment) && !is_bool($applyReceivedPayment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($applyReceivedPayment, true), gettype($applyReceivedPayment)), __LINE__);
        }
        $this->ApplyReceivedPayment = $applyReceivedPayment;
        return $this;
    }
    /**
     * Get DeleteReceivedPayment value
     * @return bool
     */
    public function getDeleteReceivedPayment()
    {
        return $this->DeleteReceivedPayment;
    }
    /**
     * Set DeleteReceivedPayment value
     * @param bool $deleteReceivedPayment
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setDeleteReceivedPayment($deleteReceivedPayment = null)
    {
        // validation for constraint: boolean
        if (!is_null($deleteReceivedPayment) && !is_bool($deleteReceivedPayment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($deleteReceivedPayment, true), gettype($deleteReceivedPayment)), __LINE__);
        }
        $this->DeleteReceivedPayment = $deleteReceivedPayment;
        return $this;
    }
    /**
     * Get DeletePendingRequest value
     * @return bool
     */
    public function getDeletePendingRequest()
    {
        return $this->DeletePendingRequest;
    }
    /**
     * Set DeletePendingRequest value
     * @param bool $deletePendingRequest
     * @return \eBizCharge\StructType\ObjectPermissions
     */
    public function setDeletePendingRequest($deletePendingRequest = null)
    {
        // validation for constraint: boolean
        if (!is_null($deletePendingRequest) && !is_bool($deletePendingRequest)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($deletePendingRequest, true), gettype($deletePendingRequest)), __LINE__);
        }
        $this->DeletePendingRequest = $deletePendingRequest;
        return $this;
    }
}
